"""
Diagnosis encoding

When a diagnosis is performed by the engine, a diagnosis index is
returned from the process, this is because the model only works with
numeric data. To get the real diagnosis, the index must be passed to
the `diagnosis_indexes` dictionary to access that diagnosis' key.
"""

diagnosis_indexes = {
    0: 'Pair of consecutive premature junctional complex',
    1: 'ST-T abnormality',
    2: 'ST depression',
    3: 'ST elevation',
    4: 'T wave abnormality',
    5: 'Aberrantly conducted complex',
    6: 'Abnormal QRS-T angle',
    7: 'Atrial bradycardia',
    8: 'Atrial rhythm',
    9: 'Atrial rhythm with short PQ',
    10: 'Biatrial enlargement',
    11: 'First degree av-block (long PQ)',
    12: 'Incomplete left bundle branch block',
    13: 'Incomplete right bundle branch block',
    14: 'Junctional ST depression',
    15: 'Junctional escape complex',
    16: 'Left anterior fascicular block',
    17: 'Left atrial enlargement',
    18: 'Left axis deviation',
    19: 'Left bundle branch block',
    20: 'Left ventricular hypertrophy',
    21: 'Left ventricular hypertrophy with QRS widening',
    22: 'Left ventricular hypertrophy with abnoral repolarization',
    23: 'Low right atrial rhythm',
    24: 'Low voltage QRS',
    25: 'Myocardial infarction in anterior location',
    26: 'Myocardial infarction in inferior location',
    27: 'Myocardial infarction in lateral location',
    28: 'Myocardial infarction in posterior location',
    29: 'Myocardial infarction in septal location',
    30: 'Myocardial infarction in septal ocation',
    31: 'Myocardial ischemia in anterior location',
    32: 'Myocardial ischemia in inferior location',
    33: 'Myocardial ischemia in lateral location',
    34: 'No signs of abnormality',
    35: 'Nonspecific intraventricular block',
    36: 'Other form complex',
    37: 'Other form complexes',
    38: 'Premature atrial complex',
    39: 'Premature atrial complex with QRS widening',
    40: 'Premature junctional complex',
    41: 'Premature sinus complex',
    42: 'Premature sinus complexes',
    43: 'Premature ventricular complex',
    44: 'Prolonged QT',
    45: 'Right atrial enlargement',
    46: 'Right axis deviation',
    47: 'Right bundle branch block',
    48: 'Right superior axis deviation',
    49: 'Rightward axis',
    50: 'Short PQ',
    51: 'Sinus arrhythmia',
    52: 'Sinus arrhythmia with short PQ',
    53: 'Sinus bradyarrhythmia',
    54: 'Sinus bradycardia',
    55: 'Sinus escape complex',
    56: 'Sinus escape complexes',
    57: 'Sinus tachycardia',
    58: 'Sinus tachycardia with short PQ',
    59: 'Undetermined rhythm',
    60: 'Unifocal premature ventricular complexes'
}
